Imports DigitalData.Controls.SQLEditor
Imports DigitalData.Modules.Database
Imports DigitalData.Modules.Logging


Public Class frmStart
    Private LogConfig As LogConfig
    Private Database As MSSQLServer

    Private Sub frmStart_Load(sender As Object, e As EventArgs) Handles Me.Load
        LogConfig = New LogConfig(New LogOptions With {
            .LogPath = LogConfig.PathType.Temp,
            .ProductName = "TestGUI",
            .CompanyName = "Digital Data"
        })
        Database = New MSSQLServer(LogConfig, "Data Source=SDD-VMP04-SQL17\DD_DEVELOP01;Initial Catalog=DD_ECM_TEST;Persist Security Info=True;User ID=sa;Password=dd")
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        frmRelations.Show()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        frmLookup.Show()
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        frmFilesystem.Show()
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        Dim oScreen As New DigitalData.Modules.Windows.Screen()

        MsgBox("Scaling: " & oScreen.GetScreenScaling(Me))
    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs) Handles Button5.Click
        frmChecksum.Show()
    End Sub

    Private Sub Button6_Click(sender As Object, e As EventArgs) Handles Button6.Click
        frmDocView.Show()
    End Sub

    Private Sub Button7_Click(sender As Object, e As EventArgs) Handles Button7.Click, Button8.Click
        frmEmail.Show()
    End Sub

    Private Sub Button9_Click(sender As Object, e As EventArgs) Handles Button9.Click
        Dim oForm As New frmSQLEditor(LogConfig, Database)
        oForm.Show()
    End Sub


End Class